Bug 25247 - Exporting 'modification log' to a file should not send objects
Summary: Exporting 'modification log' to a file should not send objects
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 18789
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-22 12:11 UTC by Nick Clemens
Modified: 2020-05-15 18:08 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25247: Only convert data ot objects when displaying on screen (1.63 KB, patch)
2020-04-22 12:14 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25247: Only convert data ot objects when displaying on screen (1.70 KB, patch)
2020-04-22 12:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25247: Only convert data ot objects when displaying on screen (1.76 KB, patch)
2020-05-02 13:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-04-22 12:11:33 UTC
When viewing the action logs we convert items and patrons into Koha::Objects for display, however, these do not work when printed to a file
Comment 1 Nick Clemens 2020-04-22 12:14:09 UTC
Created attachment 103464 [details] [review]
Bug 25247: Only convert data ot objects when displaying on screen

To test:
 1 - Modify a patron
 2 - Circulate some items to the patron
 3 - Click 'Modification log'
 4 - Verify you see your actions
 5 - Under 'Output' select 'To a file'
 6 - Save the output to a file
 7 - View the file
 8 - Not you have references ot objects in stead of patron/item data
 9 - Apply patch
10 - Repeat
11 - Note viewing on screen has not changed
12 - Note exporting to file inlcudes borrower/item numbers and not references
13 - Sign off
Comment 2 Jonathan Druart 2020-04-22 12:43:55 UTC
Created attachment 103470 [details] [review]
Bug 25247: Only convert data ot objects when displaying on screen

To test:
 1 - Modify a patron
 2 - Circulate some items to the patron
 3 - Click 'Modification log'
 4 - Verify you see your actions
 5 - Under 'Output' select 'To a file'
 6 - Save the output to a file
 7 - View the file
 8 - Not you have references ot objects in stead of patron/item data
 9 - Apply patch
10 - Repeat
11 - Note viewing on screen has not changed
12 - Note exporting to file inlcudes borrower/item numbers and not references
13 - Sign off

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Katrin Fischer 2020-05-02 13:48:48 UTC
Created attachment 104189 [details] [review]
Bug 25247: Only convert data ot objects when displaying on screen

To test:
 1 - Modify a patron
 2 - Circulate some items to the patron
 3 - Click 'Modification log'
 4 - Verify you see your actions
 5 - Under 'Output' select 'To a file'
 6 - Save the output to a file
 7 - View the file
 8 - Not you have references ot objects in stead of patron/item data
 9 - Apply patch
10 - Repeat
11 - Note viewing on screen has not changed
12 - Note exporting to file inlcudes borrower/item numbers and not references
13 - Sign off

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Martin Renvoize 2020-05-04 07:55:28 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-11 16:53:12 UTC
Backported to 19.11.x for 19.11.06
Comment 6 Lucas Gass 2020-05-15 18:08:27 UTC
backported to 19.05.x for 19.05.11